package com.gh.gamecenter.setting.provider

import android.content.Context
import android.os.Build
import androidx.annotation.RequiresApi
import com.alibaba.android.arouter.facade.annotation.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IUsageStatsHelperProvider
import com.gh.gamecenter.core.utils.ToastUtils

@Route(path = RouteConsts.provider.usageStatsHelper, name = "UsageStatsHelper暴露服务")
class UsageStatsHelperProviderImpl : IUsageStatsHelperProvider {
    @RequiresApi(Build.VERSION_CODES.LOLLIPOP_MR1)
    override fun checkForPermission(): Boolean {
        return false
    }
    override fun skipToUsageStats(context: Context, requestCode: Int) {
        ToastUtils.toast("调用->UsageStatsHelperProviderImpl.skipToUsageStats")
    }

    override fun init(context: Context?) {
        // Do nothing
    }
}